% Compute basic diagnostics of the data

load('/users/isys/mhagmann/AKAD/Data/MLData.mat')

% For each month compute mean / std / skew / kurt for the characteristics

MEAN = NaN(length(TInd),4);

STD = NaN(length(TInd),4);

SKEW = NaN(length(TInd),4);

KURT = NaN(length(TInd),4);


NumFirms = sum(~isnan(Cw.BP),2);


MEAN(:,1) = nanmean(Cw.SIZE,2);

MEAN(:,2) = nanmean(Cw.BP,2);

MEAN(:,3) = nanmean(Cw.MOM,2);

MEAN(:,4) = nanmean(Cw.VOL,2);


STD(:,1) = nanstd(Cw.SIZE');

STD(:,2) = nanstd(Cw.BP');

STD(:,3) = nanstd(Cw.MOM');

STD(:,4) = nanstd(Cw.VOL');


SKEW(:,1) = skewness(Cw.SIZE');

SKEW(:,2) = skewness(Cw.BP');

SKEW(:,3) = skewness(Cw.MOM');

SKEW(:,4) = skewness(Cw.VOL');


KURT(:,1) = kurtosis(Cw.SIZE')-3;

KURT(:,2) = kurtosis(Cw.BP')-3;

KURT(:,3) = kurtosis(Cw.MOM')-3;

KURT(:,4) = kurtosis(Cw.VOL')-3;


% Compute exposure correlations for annual data only

HelpInd=repmat([7 8 9 10 11 12 1 2 3 4 5 6]',43,1);

RowIndex = find(HelpInd==7);

for i=1:length(RowIndex)
    a = corr([Cz.SIZE(RowIndex(i),:)' Cz.BP(RowIndex(i),:)'],'rows','pairwise');

    CORR(i,1) = a(1,2);

    a = corr([Cz.SIZE(RowIndex(i),:)' Cz.MOM(RowIndex(i),:)'],'rows','pairwise');

    CORR(i,2) = a(1,2);

    a = corr([Cz.BP(RowIndex(i),:)' Cz.MOM(RowIndex(i),:)'],'rows','pairwise');

    CORR(i,3) = a(1,2);

    a = corr([Cz.SIZE(RowIndex(i),:)' Cz.VOL(RowIndex(i),:)'],'rows','pairwise');

    CORR(i,4) = a(1,2);
    a = corr([Cz.BP(RowIndex(i),:)' Cz.VOL(RowIndex(i),:)'],'rows','pairwise');

    CORR(i,5) = a(1,2);
    a = corr([Cz.MOM(RowIndex(i),:)' Cz.VOL(RowIndex(i),:)'],'rows','pairwise');

    CORR(i,6) = a(1,2);
   
end






