function beta=speedols(y,x)
% PURPOSE: fast least-squares regression 
%---------------------------------------------------
% USAGE: beta = speedols(y,X)
% where: y = dependent variable vector    (nobs x 1)
%        X = independent variables matrix (nobs x nvar)
%---------------------------------------------------
% RETURNS: beta, the regression coefficients
%---------------------------------------------------
%---------------------------------------------------
% written by:
% James P. LeSage, Dept of Economics
% University of Toledo
% 2801 W. Bancroft St,
% Toledo, OH 43606
% jlesage@spatial-econometrics.com
%
% Barry Dillon (CICG Equity)
% added the 95% confidence intervals on bhat
% unnecessary commands delted by MH
if (nargin ~= 2); 
error('Wrong # of arguments to ols'); 
else
[nobs nvar] = size(x); 
[nobs2 junk] = size(y);
if (nobs ~= nobs2); 
error('x and y must have same # obs in ols'); 
end;
end;
[q r] = qr(x,0);
xpxi = (r'*r)\eye(nvar);
beta = xpxi*(x'*y);